Bug 177215 - Dolphin should remember persistent selection during show/hide of hidden folders
Summary: Dolphin should remember persistent selection during show/hide of hidden folders
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: general (show other bugs)
Version: 16.12.2
Platform: Ubuntu Packages Unspecified
: NOR normal (vote)
Target Milestone: ---
Assignee: Peter Penz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-08 12:22 UTC by Dotan Cohen
Modified: 2011-06-02 01:01 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dotan Cohen 2008-12-08 12:22:29 UTC
Version:            (using KDE 4.1.3)
Installed from:    Ubuntu Packages

Dolphin very nicely remembers which files were selected when the user switches between Icon and other views. Dolphin should also remember which files were selected when showing / hiding hidden folders.

Steps to reproduce:
1) Enable Show Hidden Files button
2) Select multiple folders.
3) Click Show Hidden Files button
4) ???
5) Profit!

I expected to see the selected files remain selected, but they were not.
Comment 1 Kolia 2010-09-05 16:57:12 UTC
Problem still exists with KDE 4.5.1

IMHO it's a bug, not a missing feature?
Comment 2 Peter Penz 2010-09-05 20:20:34 UTC
I agree, this is a bug.
Comment 3 Matthias Fuchs 2011-06-02 01:00:25 UTC
Git commit 7993626ee89a7924d55d0c6f8455438459f1de88 by Matthias Fuchs.
Committed on 02/06/2011 at 00:56.
Pushed by mfuchs into branch 'master'.

Keeps the selection after showing/hiding hidden files.

Still only files that are shown will be selected, thus selecting hidden files and then hiding hidden files will deselect those.
BUG:177215
REVIEW:101487

M  +2    -0    dolphin/src/views/dolphinview.cpp     

http://commits.kde.org/kde-baseapps/7993626ee89a7924d55d0c6f8455438459f1de88
Comment 4 Matthias Fuchs 2011-06-02 01:01:43 UTC
Git commit 154e601205d0137b02db45b9f18d8a4f1fdfec35 by Matthias Fuchs.
Committed on 02/06/2011 at 00:56.
Pushed by mfuchs into branch 'KDE/4.6'.

Keeps the selection after showing/hiding hidden files.

Still only files that are shown will be selected, thus selecting hidden files and then hiding hidden files will deselect those.
CCBUG:177215
REVIEW:101487
(cherry picked from commit 7993626ee89a7924d55d0c6f8455438459f1de88)

M  +2    -0    dolphin/src/views/dolphinview.cpp     

http://commits.kde.org/kde-baseapps/154e601205d0137b02db45b9f18d8a4f1fdfec35